org.apache.maven.scm.command.checkin

## Class CheckInScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.checkin.CheckInScmResult

All Implemented Interfaces:
  Serializable

    public class CheckInScmResult
    extends ScmResult

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`CheckInScmResult(List<ScmFile> checkedInFiles, ScmResult result)`
`CheckInScmResult(String commandLine, List<ScmFile> checkedInFiles)`
`CheckInScmResult(String commandLine, List<ScmFile> checkedInFiles, String scmRevision)`
`CheckInScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getCheckedInFiles()`
`String` `getScmRevision()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckInScmResult

    public CheckInScmResult(String commandLine,
                            String providerMessage,
                            String commandOutput,
                            boolean success)

#### CheckInScmResult

    public CheckInScmResult(String commandLine,
                            List<ScmFile> checkedInFiles)

#### CheckInScmResult

    public CheckInScmResult(String commandLine,
                            List<ScmFile> checkedInFiles,
                            String scmRevision)

Parameters:
  `commandLine` -
  `checkedInFiles` -
  `scmRevision` -
Since:
  1.2

#### CheckInScmResult

    public CheckInScmResult(List<ScmFile> checkedInFiles,
                            ScmResult result)

### Method Detail

#### getCheckedInFiles

    public List<ScmFile> getCheckedInFiles()

#### getScmRevision

    public String getScmRevision()

Returns:
  can be null for some providers (implemented at least for svn)
Since:
  1.2